<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page import="com.censoft.common.base.Pub" %>
<%@ page import="com.censoft.common.db.ConnectionFactory" %>
<%@ page import="java.sql.Connection" %>
<%@ page import="java.util.Hashtable" %>
<%@ page import="java.util.Vector" %>
<%@ page import="java.util.Date" %>
<%@ page import="java.text.SimpleDateFormat" %>
<%!
    public static String getMxId(ConnectionFactory cf,Connection conn,String date) {
        String mx_id="";
        Vector userList = cf.doQuery(conn,"select mx_id from zb_zdpb where b_time<=? and e_time>=? order by add_time desc limit 1",null,new Object[]{date,date});
        if(userList!=null && userList.size()>0){
            Hashtable ht1 = (Hashtable) userList.get(0);
            mx_id = (String) ht1.get("mx_id");
        }
        return mx_id;
    }
    public static String getZbTyTime(ConnectionFactory cf,Connection conn,String mx_id,String zb_type) {
        String time="";
        Vector userList = cf.doQuery(conn,"select b_time,e_time from zb_type where mx_id=? and zb_type=?"
                ,null,new Object[]{mx_id,zb_type});
        if(userList!=null && userList.size()>0){
            Hashtable ht1 = (Hashtable) userList.get(0);
            time = (String) ht1.get("b_time")+"-"+(String) ht1.get("e_time");
        }
        return time;
    }
%>
<%
    ConnectionFactory cf = new ConnectionFactory();
    Pub pub = new Pub();
    Connection conn = null;
    Vector v_list = null;
    Date date = new Date();
    SimpleDateFormat sd=new SimpleDateFormat("yyyy-MM-dd");
    String today=sd.format(date);
    Hashtable ht = new Hashtable();
    StringBuffer sb = new StringBuffer();
    String login_name = pub.trimNull((String) session.getAttribute("session_login_name"));
    if ("".equals(login_name)) {
        System.out.println("当前没有用户信息");
    }
    String times="";
    try {
        conn = com.censoft.db.DBUtil.getConnection();
        sb.append("select t1.zb_user,t1.zb_type from zb_user_gl t1  where 1=1 ");
        sb.append(" and t1.year=? ");
        sb.append(" order by t1.id asc");
        String mxId=getMxId(cf,conn,today);
        v_list=cf.doQuery(conn,sb.toString(),null,new Object[]{today});
        if(v_list==null){
            System.out.println("查询该日期值班人员出错"+cf.getMsg());
        }
        if(v_list.size()>0) {
            for (int i = 0; i < v_list.size(); i++) {
                ht = (Hashtable) v_list.get(i);
                String zb_type = pub.trimNull((String) ht.get("zb_type"));
                String zb_user = pub.trimNull((String) ht.get("zb_user"));
                if(zb_user.indexOf(login_name)>=0){
                    String time = getZbTyTime(cf, conn, mxId, zb_type);
                    times=times+time+"&nbsp;&nbsp;&nbsp;&nbsp;";
                }else{
                    continue;
                }
            }
        }
        if("".equals(times)){
            times="无";
        }
        out.println(times);
    } catch (Exception e) {
        out.println("查询用户信息异常" + e);
        return;
    } finally {
        if (conn != null) {
            try {
                conn.close();
            } catch (Exception e) {
            }
        }
    }
%>